org.apache.solr.common

## Interface MapSerializable

All Known Implementing Classes:
  AppendedSolrParams, DefaultSolrParams, MapSolrParams, ModifiableSolrParams, MultiMapSolrParams, RequiredSolrParams, SolrParams, SolrQuery

    public interface MapSerializable

This is to facilitate just in time creation of objects before writing it to the response.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map` `toMap(Map<String,Object> map)` Use the passed map to minimize object creation.

### Method Detail

#### toMap

    Map toMap(Map<String,Object> map)

Use the passed map to minimize object creation. Do not keep a reference to the passed map and reuse it. it may be reused by the framework